Package org.eclipse.ecf.core.status

# Class SerializableMultiStatus

java.lang.Object
org.eclipse.ecf.core.status.SerializableStatus
org.eclipse.ecf.core.status.SerializableMultiStatus

All Implemented Interfaces:
  `Serializable`, `org.eclipse.core.runtime.IStatus`

public class SerializableMultiStatus extends SerializableStatus

Since:
  3.2
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.ecf.core.status.SerializableStatus

`CANCEL_STATUS, OK_STATUS`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`SerializableMultiStatus(String pluginId, int code, String message, Throwable exception)`
`SerializableMultiStatus(String pluginId, int code, org.eclipse.core.runtime.IStatus[] newChildren, String message, Throwable exception)`
`SerializableMultiStatus(org.eclipse.core.runtime.IStatus status)`
`SerializableMultiStatus(org.eclipse.core.runtime.MultiStatus multiStatus)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(SerializableStatus status)`
Adds the given status to this multi-status.
`void`
`addAll(SerializableStatus status)`
Adds all of the children of the given status to this multi-status.
`org.eclipse.core.runtime.IStatus[]`
`getChildren()`
`boolean`
`isMultiStatus()`
`void`
`merge(SerializableStatus status)`
Merges the given status into this multi-status.
`String`
`toString()`
Returns a string representation of the status, suitable for debugging purposes only.

### Methods inherited from class org.eclipse.ecf.core.status.SerializableStatus

`getCode, getException, getMessage, getPlugin, getSeverity, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SerializableMultiStatus

public SerializableMultiStatus(org.eclipse.core.runtime.IStatus status)

### SerializableMultiStatus

public SerializableMultiStatus(org.eclipse.core.runtime.MultiStatus multiStatus)

### SerializableMultiStatus

public SerializableMultiStatus(String pluginId, int code, org.eclipse.core.runtime.IStatus[] newChildren, String message, Throwable exception)

### SerializableMultiStatus

public SerializableMultiStatus(String pluginId, int code, String message, Throwable exception)

## Method Details

### add

public void add(SerializableStatus status)
Adds the given status to this multi-status.

Parameters:
  `status` - the new child status

### addAll

public void addAll(SerializableStatus status)
Adds all of the children of the given status to this multi-status. Does nothing if the given status has no children (which includes the case where it is not a multi-status).

Parameters:
  `status` - the status whose children are to be added to this one

### getChildren

public org.eclipse.core.runtime.IStatus[] getChildren()

Specified by:
  `getChildren` in interface `org.eclipse.core.runtime.IStatus`
Overrides:
  `getChildren` in class `SerializableStatus`

### isMultiStatus

public boolean isMultiStatus()

Specified by:
  `isMultiStatus` in interface `org.eclipse.core.runtime.IStatus`
Overrides:
  `isMultiStatus` in class `SerializableStatus`

### merge

public void merge(SerializableStatus status)
Merges the given status into this multi-status. Equivalent to `add(status)` if the given status is not a multi-status. Equivalent to `addAll(status)` if the given status is a multi-status.

Parameters:
  `status` - the status to merge into this one
See Also:
  - `add(SerializableStatus)`
  - `addAll(SerializableStatus)`

### toString

public String toString()
Returns a string representation of the status, suitable for debugging purposes only.

Overrides:
  `toString` in class `SerializableStatus`
Returns:
  String